## com.bbn.openmap.omGraphics.grid
Class ColorGeneratorLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.omGraphics.grid.GeneratorLoader
                  com.bbn.openmap.omGraphics.grid.ColorGeneratorLoader

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, PropertyConsumer

Direct Known Subclasses:
  ElevationBandGeneratorLoader, SlopeGeneratorLoader

public class ColorGeneratorLoader
extends GeneratorLoader

Field Summary
`protected ElevationColors` `colors`
`static java.lang.String` `COLORS_PROPERTY`
`static java.lang.String` `ColorsClassProperty`
`static java.lang.String` `DEFAULT_COLORS_CLASS`

Fields inherited from class com.bbn.openmap.omGraphics.grid.GeneratorLoader
`prettyName`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`ColorGeneratorLoader()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` You should override this so the listener receives any particular events that the GeneratorLoader sends out.
`ElevationColors` `getColors()`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` `setColors(ElevationColors cols)`
`void` `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.

Methods inherited from class com.bbn.openmap.omGraphics.grid.GeneratorLoader
`getGenerator, getGUI, getPrettyName, getProperties, setPrettyName`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ColorsClassProperty

    public static final java.lang.String ColorsClassProperty

See Also:
  Constant Field Values

### COLORS_PROPERTY

    public static final java.lang.String COLORS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_COLORS_CLASS

    public static final java.lang.String DEFAULT_COLORS_CLASS

See Also:
  Constant Field Values

### colors

    protected ElevationColors colors

Constructor Detail

### ColorGeneratorLoader

    public ColorGeneratorLoader()

Method Detail

### setColors

    public void setColors(ElevationColors cols)

### getColors

    public ElevationColors getColors()

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponent`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `GeneratorLoader`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Description copied from class: `GeneratorLoader`
  You should override this so the listener receives any particular events that the GeneratorLoader sends out.

  Overrides:
    `addPropertyChangeListener` in class `GeneratorLoader`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details